searchNodes=[{"doc":"Defines a cluster.","ref":"Galaxy.Cluster.html","title":"Galaxy.Cluster","type":"behaviour"},{"doc":"A callback executed when the repo starts or when configuration is read. The first argument is the context the callback is being invoked. If it is called because the Repo supervisor is starting, it will be :supervisor. It will be :runtime if it is called for reading configuration without actually starting a process. The second argument is the repository configuration as stored in the application environment. It must return {:ok, keyword} with the updated list of configuration or :ignore (only in the :supervisor case).","ref":"Galaxy.Cluster.html#c:init/2","title":"Galaxy.Cluster.init/2","type":"callback"},{"doc":"","ref":"Galaxy.Cluster.html#t:t/0","title":"Galaxy.Cluster.t/0","type":"type"},{"doc":"This topologying strategy works by loading all your Erlang nodes (within Pods) in the current DNS namespace. It will fetch the targets of all pods under a shared headless service and attempt to connect. It will continually monitor and update its connections every 5s. It assumes that all Erlang nodes were launched under a base name, are using longnames, and are unique based on their FQDN, rather than the base hostname. In other words, in the following longname, &lt;basename&gt;@&lt;ip&gt;, basename would be the value configured through application_name.","ref":"Galaxy.DNS.html","title":"Galaxy.DNS","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor.","ref":"Galaxy.DNS.html#child_spec/1","title":"Galaxy.DNS.child_spec/1","type":"function"},{"doc":"","ref":"Galaxy.DNS.html#start_link/1","title":"Galaxy.DNS.start_link/1","type":"function"},{"doc":"This topologying strategy relies on Erlang&#39;s built-in distribution protocol by using a .hosts.erlang file (as used by the :net_adm module). Please see the net_adm docs for more details. In short, the following is the gist of how it works: File .hosts.erlang consists of a number of host names written as Erlang terms. It is looked for in the current work directory, the user&#39;s home directory, and $OTP_ROOT (the root directory of Erlang/OTP), in that order. This looks a bit like the following in practice: &#39;super.eua.ericsson.se&#39;. &#39;renat.eua.ericsson.se&#39;. &#39;grouse.eua.ericsson.se&#39;. &#39;gauffin1.eua.ericsson.se&#39;. An optional timeout can be specified in the config. This is the timeout that will be used in the GenServer to connect the nodes. This defaults to :infinity meaning that the connection process will only happen when the worker is started. Any integer timeout will result in the connection process being triggered. In the example above, it has been configured for 30 seconds.","ref":"Galaxy.Host.html","title":"Galaxy.Host","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor.","ref":"Galaxy.Host.html#child_spec/1","title":"Galaxy.Host.child_spec/1","type":"function"},{"doc":"","ref":"Galaxy.Host.html#start_link/1","title":"Galaxy.Host.start_link/1","type":"function"},{"doc":"Topology interface for cluster formation.","ref":"Galaxy.Topology.html","title":"Galaxy.Topology","type":"behaviour"},{"doc":"","ref":"Galaxy.Topology.html#c:connects/1","title":"Galaxy.Topology.connects/1","type":"callback"},{"doc":"","ref":"Galaxy.Topology.html#c:disconnects/1","title":"Galaxy.Topology.disconnects/1","type":"callback"},{"doc":"","ref":"Galaxy.Topology.html#c:members/0","title":"Galaxy.Topology.members/0","type":"callback"},{"doc":"Native Erlang Distribution interface.","ref":"Galaxy.Topology.ErlDist.html","title":"Galaxy.Topology.ErlDist","type":"module"},{"doc":"Callback implementation for Galaxy.Topology.connects/1.","ref":"Galaxy.Topology.ErlDist.html#connects/1","title":"Galaxy.Topology.ErlDist.connects/1","type":"function"},{"doc":"Callback implementation for Galaxy.Topology.disconnects/1.","ref":"Galaxy.Topology.ErlDist.html#disconnects/1","title":"Galaxy.Topology.ErlDist.disconnects/1","type":"function"},{"doc":"Callback implementation for Galaxy.Topology.members/0.","ref":"Galaxy.Topology.ErlDist.html#members/0","title":"Galaxy.Topology.ErlDist.members/0","type":"function"},{"doc":"Galaxy This library provides a mechanism for automatically forming clusters of Erlang nodes, with either static or dynamic node membership. It provides a publish/subscribe mechanism for cluster events so that you can easily be notified when cluster members join or leave with a variety of strategies provided out of the box. You can find supporting documentation here.","ref":"readme.html","title":"Galaxy","type":"extras"},{"doc":"Automatic cluster formation/healing Choice of multiple clustering strategies out of the box: Standard Distributed Erlang facilities (e.g. .hosts.erlang), which supports IP-based or DNS-based names DNS via its metadata API using via a configurable label selector and node basename; or alternatively, using DNS. Easy to provide your own custom clustering strategies for your specific environment. Easy to use provide your own distribution plumbing (i.e. something other than Distributed Erlang), by implementing a small set of callbacks. This allows galaxy to support projects like Partisan.","ref":"readme.html#features","title":"Galaxy - Features","type":"extras"},{"doc":"defp deps do [{:galaxy, github: &quot;shikanime/galaxy&quot;}] end","ref":"readme.html#installation","title":"Galaxy - Installation","type":"extras"},{"doc":"It is easy to get started using galaxy, start the module in the supervision tree of an application in your Elixir system. And configure the it using: # In your config/releases.exs file headless_service = System.get_env(&quot;SERVICE_NAME&quot;) || raise &quot;&quot;&quot; environment variable SERVICE_NAME is missing. You can retrieve a headless service using a StatefulSets &quot;&quot;&quot; config :cruise, Cruise.Cluster, services: [headless_service], polling: 10_000 # In your application code defmodule MyApp.Cluster do use Galaxy.Cluster, otp_app: :my_app, topology: Galaxy.Topology.ErlDist end The following section describes topology configuration in more detail.","ref":"readme.html#usage","title":"Galaxy - Usage","type":"extras"},{"doc":"You have a handful of choices with regards to cluster management out of the box: Galaxy.Host, which uses the .hosts.erlang file to determine which hosts to connect to. Galaxy.DNS, which query the DNS server based on the services configuration.","ref":"readme.html#clustering","title":"Galaxy - Clustering","type":"extras"},{"doc":"MIT","ref":"readme.html#license","title":"Galaxy - License","type":"extras"}]